Bug 3223 - Windows vncviewer doesn't work with Croatian layots
Summary: Windows vncviewer doesn't work with Croatian layots
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VNC (show other bugs)
Version: 3.0.0
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.3.0
Assignee: Pierre Ossman
URL:
Keywords: astrand_tester, relnotes
Depends on:
Blocks: 3523
  Show dependency treegraph
 
Reported: 2009-08-25 14:49 CEST by Peter Åstrand
Modified: 2014-10-06 15:44 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Description Peter Åstrand cendio 2009-08-25 14:49:43 CEST
From Issue8966. The Windows vncviewer doesn't work with Croatian layots. For example, when pressing š (the å key on a swedish keyboard), no keyboard event at all is generated. When running with debug, vncviewer says:

CKeyboard: no chars regardless of control and alt: extendedVkey 0xdb
Comment 1 Pierre Ossman cendio 2011-08-25 16:28:04 CEST
Should work. Verify.
Comment 2 Henrik Andersson cendio 2011-09-06 14:15:44 CEST
Verified using win7 client and xev in session.
Comment 3 Peter Åstrand cendio 2011-11-24 15:08:07 CET
Works much better than with the old client. However, some combinations such as AltGr-4 produces a dead key on Windows, but a non-dead in ThinLinc. This might be a problem, because you cannot generate a "upside-down â". See:

http://upload.wikimedia.org/wikipedia/en/0/09/Qwertz-si.svg

According to Pierre, we might want to add a few more dead keys to an internal list. Moving. 
Comment 4 Pierre Ossman cendio 2014-09-16 15:38:38 CEST
The symbol in question is breve, and it should work with the new code from bug 4677.
Comment 5 Pierre Ossman cendio 2014-09-16 16:23:03 CEST
Does indeed work now.
Comment 6 Peter Åstrand cendio 2014-09-30 13:33:25 CEST
Yes, works.

Note You need to log in before you can comment on or make changes to this bug.